c
c------ DCTRACK_DATA.INC ------ data for dc tracking
c                               BDC(box), FDC1K, FDC2, FDC3 for Kappa test, May-2009
c                               5-Apr-2009  Kobayashi
c Coordinate
c   X : -> beam right
c   Y : -> up			
c   Z : -> downstream
c
c DC_Plane --------------------------------------------------------------------
c
c   Itype:	1        2        3        4        5        6        7	
c   Name:	BDCx     BDCy     FDC1x    FDC1y    FDC2     FDC3x    FDC3y
c   ID_Plane:	1:5      6:10     11:14    15:18    21:24    31:35    36:39
c   #Planes:	5        5        4        4        4        5        4
c
c Z direction in mm : Order=IP -------------------------------------------------
c
      data zpos/      !ZPOS(npl_dc_max)
c   BDC x1:x5, y1:y5, z=0 at downstream side of downstream AL plate
     1	-60.0, -160.0, -260.0, -360.0, -460.0,   !bx1:bx5, bx1 is downstream
     1  -110.0, -210.0, -310.0, -410.0, -510.0,  !by1:by5, by1 is downstream
                                                 !bx1 is closest to the target
c   FDC1K x1:x4, y1:y4, z=0 at downstream side of thick vertical bar
     1	-255.0, -195.0, -135.0, -75.0,           !f1x1:f1x4
     1  -225.0, -165.0, -105.0, -45.0,           !f1y1:f1y4
     1	2*0.0,                                   !id=19:20(2) empty
c   FDC2(large Hex) x1:x4, z=0 at dowmstream side of AL window frame
     1	-112.0, -94.0, -76.0, -58.0,             !f2x1:f2x4, f2x1 is upstream
     1	6*0.0,                                   !id=25:30(6) empty
c   FDC3(RIPS DC) x1:x5, y1:y4, z=0 at downstream side of AL plate
     1	-460.0, -360.0, -260.0, -160.0, -60.0,   !f3x1:f3x5, f3x1 is upstream
     1	-410.0, -310.0, -210.0, -110.0/          !f3y1:f3y4, f3y1 is upstream
c
c Position of wires in the plane [mm]	----------------------------------------
c
      data off_c/		! OFF_C(3,npl_dc_max)
				! pos = p(1)*(iw-p(2))+p(3) [mm]
c   BDCx: x1:x5, x1' x2 x3' x4 x5', x=0 at center
     1	-18.0,4.5,0.0, -18.0,4.0,0.0, -18.0,4.5,0.0,   !bx1:bx3 
     1	-18.0,4.0,0.0, -18.0,4.5,0.0,                  !bx4:bx5
c   BDCy: y1:y5, y1' y2 y3' y4 y5', y=0 at center
     1  -18.0,4.5,0.0, -18.0,4.0,0.0, -18.0,4.5,0.0,   !by1:by3
     1  -18.0,4.0,0.0, -18.0,4.5,0.0,                  !by4:by5
c   FDC1Kx: x1:x4 (left to right, HV is right, x1' x2 x3 x4')
     1	50.0,6.0,0.0, 50.0,6.5,0.0,                    !f1x1:f1x2
     1	50.0,6.5,0.0, 50.0,6.0,0.0,                    !f1x3:f1x4
c   FDC1Ky: y1:y4 (down to up, y1 y2' y3' y4) 3-May-2009
     1	50.0,3.0,0.0, 50.0,2.5,0.0,                    !f1y1:f1y2
     1  50.0,2.5,0.0, 50.0,3.0,0.0,                    !f1y3:f1y4
     1	6*0.0,                                         !2 dummy (*3)
!c   FDC2x: x1:x4, x1 x2' x3 x4',   x=0 at wire1 on f2x1
!     1	21.0,1.0,0.0, 21.0,0.5,0.0,                    !f2x1:f2x2
!     1	21.0,1.0,0.0, 21.0,0.5,0.0,                    !f2x3:f2x4
c   FDC2x: x1:x4, x1 x2' x3 x4',   x=0 at geometrical center, 2-May-2009
     1  21.0,14.75,0.0, 21.0,14.25,0.0,                    !f2x1:f2x2
     1  21.0,14.75,0.0, 21.0,14.25,0.0,                    !f2x3:f2x4
     1	18*0.0,                                        !6 dummy (*3)
!c   FDC3x: x1:x5, x1' x2 x3 x4' x5, x=0 at wire1.5 on f3x1
!     1  40.0,1.5,0.0, 40.0,1.0,0.0, 40.0,1.0,0.0,      !f3x1:f3x3
!     1  40.0,1.5,0.0, 40.0,1.0,0.0,                    !f3x4:f3x5
c   FDC3x : x1:x5, x1' x2 x3 x4' x5, x=0 at geometrical horizontal center, 2-May-2009
     1	40.0,8.5,0.0, 40.0,8.0,0.0, 40.0,8.0,0.0,      !f3x1:f3x3
     1	40.0,8.5,0.0, 40.0,8.0,0.0,                    !f3x4:f3x5
c   FDC3y: y1 y2' y3' y4, y=0 at center
     1	-40.0,5.5,0.0, -40.0,6.0,0.0,                  !f3y1:f3y2
     1	-40.0,6.0,0.0, -40.0,5.5,0.0/                  !f3y3:f3y4
c
cc Wire Search List -------------------------------------------------------------
c
c #planes in each group
      data NLISTXY/ 5, 5, 4, 4, 4, 5, 4/      !NLISTXY(itype_max)
c
c list of planes in each search type
      data LISTXY_LR/   !LISTXY_LR(npl_xy_max,itype_max)
     1	1, 2, 3, 4, 5,       !Bx
     1	6, 7, 8, 9, 10,      !By
     1	11, 12, 13, 14, 0,   !F1x
     1	15, 16, 17, 18, 0,   !F1y
     1	21, 22, 23, 24, 0,   !F2x
     1	31, 32, 33, 34, 35,  !F3x
     1	36, 37, 38, 39, 0/   !F3y
c
cc LR combinations --------------------------------------------------------------
c
c   dimension is for npl_xy_max=4, 2**npl_xy_max
c      common/ resolve_lr/ lr(npl_xy_max,2**npl_xy_max)
      data lr/     !LR combination
     1 +1,+1,+1,+1,+1, -1,+1,+1,+1,+1, +1,-1,+1,+1,+1, -1,-1,+1,+1,+1, 
     1 +1,+1,-1,+1,+1, -1,+1,-1,+1,+1, +1,-1,-1,+1,+1, -1,-1,-1,+1,+1,
     1 +1,+1,+1,-1,+1, -1,+1,+1,-1,+1, +1,-1,+1,-1,+1, -1,-1,+1,-1,+1,
     1 +1,+1,-1,-1,+1, -1,+1,-1,-1,+1, +1,-1,-1,-1,+1, -1,-1,-1,-1,+1, 
     1 +1,+1,+1,+1,-1, -1,+1,+1,+1,-1, +1,-1,+1,+1,-1, -1,-1,+1,+1,-1, 
     1 +1,+1,-1,+1,-1, -1,+1,-1,+1,-1, +1,-1,-1,+1,-1, -1,-1,-1,+1,-1,
     1 +1,+1,+1,-1,-1, -1,+1,+1,-1,-1, +1,-1,+1,-1,-1, -1,-1,+1,-1,-1,
     1 +1,+1,-1,-1,-1, -1,+1,-1,-1,-1, +1,-1,-1,-1,-1, -1,-1,-1,-1,-1/
!     1  +1,+1,+1,+1, -1,+1,+1,+1, +1,-1,+1,+1, -1,-1,+1,+1,
!     1  +1,+1,-1,+1, -1,+1,-1,+1, +1,-1,-1,+1, -1,-1,-1,+1,
!     1  +1,+1,+1,-1, -1,+1,+1,-1, +1,-1,+1,-1, -1,-1,+1,-1,
!     1  +1,+1,-1,-1, -1,+1,-1,-1, +1,-1,-1,-1, -1,-1,-1,-1/
c
c search list
!	data LISTXY/		!LISTXY(npl_xy_max,list_maxtimes,itype_max)
c
c Default parameters
c
c   Minimum #planes for storing tracks.  minimum 3 planes
      data MIN_TRACK/ 3, 3, 3, 3, 3, 3, 3/ 	!MIN_TRACK(itype_max)
c
c   chi square limit
      data chi_limit/ 			!0.3mm 3*sigma limit
     1	0.9, 1.7, 2.5, 3.3, 4.1, 4.9, 0.,0.,0./
c
c   max deviation in "mm"
      data wire_hit_cut/ npl_dc_max*1.5/		!deviation in mm
c
c   factor for evaluating deviation
      data XFAC/ 1.0/
c
c   tracking "itype"?   1   2   3   4   5   6   7
c                       bx  by  f1x f1y f2x f3x f3y
      data IONOF_TRACK/ 0, 0, 0, 0, 0, 0, 0/ 	!IONOF_TRACK(itype_max)
c
c   save deviations into analyser output
      data iflag_dev_save/ 1/
c
      data iflag_chi2/ 0/   !chi2 cut off
