c
c------INI_ANALYS ------ (p,pN) exp, Jun-2010, 11-May-2010 T.Kobayashi
c
      SUBROUTINE ANALYS_EVENT(ian)
      implicit none
      integer*4 ian
      include 'analys_source/event.inc'
      include 'analys_source/val.inc'
      include 'analys_source/mask.inc'
      integer*4 iloop_comment
      data iloop_comment/0/
      integer*4 nrwds,ieid,jadr
      integer*4 iadr_sub,nw_sub
      integer*4 iadr_sub1, nw_sub1, iadr_sub2, nw_sub2, jadr1, jadr2
      integer*4 sca_rid
c
      if(iloop_comment.eq.0) then
         write(0,*) 
     &    '%% He,Li(p,pN) Exp @RIBF/Kappa, Jun-2010 %%'
         iloop_comment=1
      endif
      nrwds=iand(raw(nfir),mask_77777) !#words/event
      ieid=raw(nfir+1)          !event ID
c
      GO TO (1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20) IAN     
c     
c Analyser 1 : Beam Detector  Rid= (z'21')
c     fixed length: TDC 14 word, ADC 10 word
 1    continue
      call FND_EID( raw(nfir), (z'21'), iadr_sub, nw_sub)
      jadr=nfir+iadr_sub-1
      call ENC_BEAM(raw(jadr),nw_sub,val(1,1,1),nx,ny,naok(1))
      return
c
c Analyser 2 : neutron detector Rid: T= z'62', A=z'61'     
 2    continue
      call FND_EID( raw(nfir), (z'62'), iadr_sub1, nw_sub1)
      jadr1=nfir+iadr_sub1-1
      call FND_EID( raw(nfir), (z'61'), iadr_sub2, nw_sub2)
      jadr2=nfir+iadr_sub2-1
      call enc_neut(raw(jadr1),nw_sub1, raw(jadr2),nw_sub2,
     1              val(1,1,2),nx,ny,naok(2))
      return
c
c Analyser 3 : FERA TFC+FERA Hodo  Eid= (z'31')
 3    continue
      call FND_EID( raw(nfir), (z'31'), iadr_sub, nw_sub)
      jadr=nfir+iadr_sub-1
      call enc_fera(raw(jadr),nw_sub,val(1,1,3),nx,ny,naok(3))
      return
c     
c Analyser 4 : VMETDC for drift chambers   Eid= (z'81')
 4    continue
      call FND_EID( raw(nfir), (z'81'), iadr_sub, nw_sub)
      jadr=nfir+iadr_sub-1
      call ENC_amttdc( raw(jadr),nw_sub,
     &     val(1,1,4),nxs(4),nys(4),naok(4)) 
      call enc_dcmul(val(1,1,4), nxs(4),nys(4), naok(4))  !various multiplicities
!      call tdc_to_x(val(1,1,4), nxs(4),nys(4), naok(4))   !add distance info
      return
c
c Analyser 5 : select fastest hits in one wire
 5    continue
!      call dctdc_self(val(1,1,4),nxs(4),nys(4),naok(4),   !raw tdc data
!     1                val(1,1,5),nxs(5),nys(5),naok(5))   !fastest hits in one wire
      return
c
c Analyser 6 : tracking golden events
 6    continue
!      call dctrack_gold(val(1,1,6),nx,ny,naok(6))
      return
c
c Analyser 7 : track M1 & Fastest events     
 7    continue
!      call dctrack_m1f(val(1,1,6),nx,ny,naok(6))
      return
c     
c Analyser 8 : track extrapolation, golden events or M1/fastest events
 8    continue
!      call track_ext(val(1,1,6),nx,ny,naok(6),  !track info
!     1               val(1,1,3),nx,ny,naok(3),  !hod info
!     1               val(1,1,8),nx,ny,naok(8))  !out
      return
c
 9    continue
      return
c
 10   continue
      return
c
c Analyser 11: print raw DC hits 
 11   continue
!      call chk_dchits(val(1,1,4),nxs(4),nys(4),naok(4),  !amt tdc
!     1                val(1,1,3),nx,ny,naok(3))          !fera/hod
      return
c
 12   continue
 13   continue
 14   continue
 15   continue
 16   continue
c
c Analyser 17 : neutron hit pattern
 17   continue
      call dsp_neut(val(1,1,2),nx,ny,naok(2))
      return
c
c Analyzer 18 : Scaler Rid = (z'101')
 18   continue
      call fnd_eid( raw(nfir), (z'101'), iadr_sub, nw_sub)
      sca_rid=(z'101')
      jadr=nfir+iadr_sub-1
      call enc_scaler(sca_rid,raw(jadr),nw_sub)
      return
c
c Analyser 19 : rawdata dump
 19   continue
      call dump_rawdata(nrwds+2,raw(nfir))
      return
c
c   Analyser 20 : print analyser output
 20   continue
      call print_analyser0
      return
      end
c
c------ SETUP ------
c
      SUBROUTINE SETUP
c
      call set_val(10,250,4)  !10*250_pairs for VME-TDC
!      call set_val(10,250,5)  !10*250 for tdc_fastest
      return
      end
c
c------ BEGIN_EV ------
c
      SUBROUTINE BEGIN_EV(ian)
      if(ian.le.0) return
c     if( ian .eq. 8) then
c     call clear_counter_bdc()
c     endif
c     if( ian .eq. 14) then
c     call clear_counter_fdc()
c     endif
      return
      end
c     
c------END_EV ------
c     
      subroutine END_EV(ian)
      if(ian.le.0) return
c     if( ian .eq. 8) then
c     call write_counter_bdc()
c     endif
c     write(0,*) 
c     if( ian .eq. 14) then
c     call write_counter_kdc()
c     endif
c     
c     enc_scaler (analyzer# = 7)      
c     
      if(ian .eq. 7) then
         call write_scaler_total()
      endif
      return
      end

