!      program test
!      call read_neut
!      stop
!      end
c
c------ read_neut ------ read NLN Parameters
c                        (p,pn) exp @RIBF/Kappa, 10-May-2010 T.Kobayashi
c
      subroutine read_neut
      include 'neut.inc'
      dimension itmp(9)
c
c Map File 
c            T1     T2     A1    A2
c       ID, (n,a), (n,a), (n,a), (n,a)          N=1:23, A=1:16
c
      map_defined=0
      open(unit=80,file='prm/neut.map',status='old',err=10)
      write(*,*) 'Read_neut: prm/neut.map opened'
      call icler(map_fera,2*nch_ia*nch_in) !reset to zero
      call icler(ihit_min,nch_fera) !
      go to 20
 10   write(*,*) 'Read_neut: prm/neut.map not found. exit'
      call exit
 20   call read_int(80,itmp,9,ier) !read one line
!      write(*,*) 'read_neut: ',itmp
      if(ier.ne.0) go to 40
      map_defined=map_defined+1
      id=itmp(1)                !detector ID
      if(id.lt.1 .or. id.gt.nch_fera) go to 20 !bad ID
      do 30 i=1,4               !t1,t2,a1,a2
         jadr=2*(i-1)+2         !2,4,6,8
         in=itmp(jadr)          !1:23
         ia=itmp(jadr+1)        !1:16 not from 0
         if(ia.ge.1 .and. ia.le.nch_ia .and.
     1      in.ge.1 .and. in.le.nch_in) then
            map_fera(1,ia,in)= itmp(1) !id_detector=1:74
            ihit_min(id)=ihit_min(id)+1 !how many information
            map_fera(2,ia,in)= i !iorder=1:4 for t1,t2,a1,a2
                                 !this is 0 if no information
         endif
 30   continue
      go to 20
 40   write(*,*) 
     1     '           prm/neut.map read in, #def= ',map_defined
      close(unit=80)
c
c FERA parameters
c
      open(unit=80,file='prm/file_neut',status='old',err=50)
      write(*,*) 'Read_neut: prm/file_neut opened'
      go to 60
 50   continue
      write(*,*) 'Read_neut: prm/file_neut not found, skip'
      return
 60   continue
c   Hit flag:   0=require all defined
      call read_int(80,iflag_ihit,1,ier)
      if(iflag_ihit.ne.0) then
         do 42 id=1,nch_fera
            if(ihit_min(id).ge.1) ihit_min(id)=iflag_ihit
 42      continue
         write(*,*) 'read_neut: Ihit_fera reset to ',iflag_ihit
      endif
c   TDC limit check
      call read_int(80,itmp,2,ier)
      itdc_low=itmp(1)
      itdc_high=itmp(2)
      write(*,*) 'read_neut: TDC limits : ',itdc_low, itdc_high
c   PEDESTAL
      call read_int(80,iflag_ped_fera,1,ier)
      call read_flt(80,ped_fera,2*nch_fera,ier)
c   GAIN
      call read_int(80,iflag_gain_fera,1,ier)
      call read_flt(80,adc_norm,nch_fera,ier)
      call read_flt(80,gain_fera,nch_fera,ier)
c   time calibration
      call read_int(80,iflag_timcal,1,ier)
      call read_flt(80,timcal_fera,2*nch_fera,ier)
c   dT
      call read_int(80,iflag_dt_off,1,ier)
      call read_flt(80,dt_off_fera,nch_fera,ier)
c   TOF
      call read_int(80,iflag_t_off,1,ier)
      call read_flt(80,t_off_fera,nch_fera,ier)
c
      write(*,*) '           prm/file_neut read in'
      write(*,699) iflag_ihit, itdc_low, itdc_high, 
     1     iflag_ped_fera,iflag_gain_fera,iflag_timcal,
     1     iflag_dt_off,iflag_t_off
 699  format('            ',
     1     'hit(',i1,') TDC(',i4,',',i6,') ped(',i1,') gain(',
     1     i1,') tcal(',i1,') dt(',i1,') tofoff(',i1,')')
      close(unit=80)
c
      return
      end
